import { IMapDetail, simulatorOutputType } from '@src/utils/functions';
export interface IAssemble {
    readonly output: string[];
    readonly mappingDetail: IMapDetail[] | null;
}
export interface ISimulatorOutput {
    readonly result: simulatorOutputType;
    history: simulatorOutputType[] | null;
}
export declare function assemble(assemblyInstructions: string[], mappingDetailRequest?: boolean): IAssemble;
export declare function simulator(assemblyInstructions: string[], cycleNum: number, returnHistory?: boolean): Promise<ISimulatorOutput>;
