export declare const makeSymbolTable: (inputs: string[]) => {
    dataSeg: string[];
    textSeg: string[];
    dataSectionSize: number;
    textSectionSize: number;
};
export declare function recordTextSection(textSeg: string[]): [string[], number[][]];
export declare function recordDataSection(dataSeg: string[]): string[];
export declare function makeBinaryObject(inputs: string[]): {
    dataSectionSize: number;
    textSectionSize: number;
    binaryText: string[];
    binaryData: string[];
    mappingTable: number[][];
    dataSeg: string[];
    textSeg: string[];
};
export declare function makeBinaryArray(dataSectionSize: number, textSectionSize: number, binaryText: string[], binaryData: string[]): string[];
export declare function makeBinaryString(dataSectionSize: number, textSectionSize: number, binaryText: string[], binaryData: string[]): string;
